Support » Plugin: WPCal.io - Easy Meeting Scheduler » wp 5.6 & php 8.0 support?

  • Resolved donbowman

    (@donbowman)


    I tried a trial-run of wp 5.6 and php 8.0 tonight. There’s an error in wpcal, linked below.

    [07-Dec-2020 22:05:02] WARNING: [pool www] child 198 said into stderr: ” thrown in /app/wp-content/plugins/wpcal/lib/Valitron/Validator.php on line 1481″
    [07-Dec-2020 22:05:02] WARNING: [pool www] child 199 said into stderr: “NOTICE: PHP message: PHP Fatal error: Uncaught Error: Unknown named parameter $invitee_questions.questions.*.answer_type in /app/wp-content/plugins/wpcal/lib/Valitron/Validator.php:1481”
    [07-Dec-2020 22:05:02] WARNING: [pool www] child 199 said into stderr: “Stack trace:”
    [07-Dec-2020 22:05:02] WARNING: [pool www] child 199 said into stderr: “#0 /app/wp-content/plugins/wpcal/lib/Valitron/Validator.php(1481): call_user_func_array()”
    [07-Dec-2020 22:05:02] WARNING: [pool www] child 199 said into stderr: “#1 /app/wp-content/plugins/wpcal/includes/app_func.php(95): Valitron\Validator->rules()”
    [07-Dec-2020 22:05:02] WARNING: [pool www] child 199 said into stderr: “#2 /app/wp-content/plugins/wpcal/includes/app_func.php(11): wpcal_update_service()”
    [07-Dec-2020 22:05:02] WARNING: [pool www] child 199 said into stderr: “#3 /app/wp-content/plugins/wpcal/includes/app_func.php(2592): wpcal_add_service()”
    [07-Dec-2020 22:05:02] WARNING: [pool www] child 199 said into stderr: “#4 /app/wp-content/plugins/wpcal/includes/class_init.php(49): wpcal_may_add_sample_services_on_plugin_activation()”
    [07-Dec-2020 22:05:02] WARNING: [pool www] child 199 said into stderr: “#5 /app/wp-includes/class-wp-hook.php(287): WPCal_Init::on_plugin_activate()”
    [07-Dec-2020 22:05:02] WARNING: [pool www] child 199 said into stderr: “#6 /app/wp-includes/class-wp-hook.php(311): WP_Hook->apply_filters()”
    [07-Dec-2020 22:05:02] WARNING: [pool www] child 199 said into stderr: “#7 /app/wp-includes/plugin.php(484): WP_Hook->do_action()”
    [07-Dec-2020 22:05:02] WARNING: [pool www] child 199 said into stderr: “#8 /app/wp-admin/plugins.php(193): do_action()”
    [07-Dec-2020 22:05:02] WARNING: [pool www] child 199 said into stderr: “#9 {main}”

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Contributor Yuvaraj Senthil

    (@yuvarajsenthil)

    Hi,

    Our plugin’s minimum PHP requirement is v7.1(you can find here https://wordpress.org/plugins/wpcal/).
    We yet to support PHP v8, I request you to check with v7.1.x,v7.2.x, v7.3.x and v7.4x.

    Thread Starter donbowman

    (@donbowman)

    yeah i know, this was a dry-run.
    i plan to switch to 5.6 and php 8.0 in the near to mid future, so i was testing it.
    so far so good, this is the only blocker for me.

    Plugin Contributor Yuvaraj Senthil

    (@yuvarajsenthil)

    We have tested the plugin with PHP 8.0 we didn’t get any functional issues except few deprecated errors. We will be fixing those deprecated errors soon.

    Our plugin is fully functional with PHP 8.0.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘wp 5.6 & php 8.0 support?’ is closed to new replies.